Package docking.widgets.values

# Class DoubleValue

java.lang.Object
docking.widgets.values.AbstractValue<Double>
docking.widgets.values.DoubleValue

public class DoubleValue extends AbstractValue<Double>
Value class for `Double` types. This value uses a `FloatingPointTextField` as it's editor component. It supports the concept of no value, if the text field is empty.

This class and other subclasses of `AbstractValue` are part of a subsystem for easily defining a set of values that can be displayed in an input dialog (`ValuesMapDialog`). Typically, these values are created indirectly using a `GValuesMap` which is then given to the constructor of the dialog. However, an alternate approach is to create the dialog without a ValuesMap and then use its `ValuesMapDialog.addValue(AbstractValue)` method directly.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DoubleValue(String name)`
  `DoubleValue(String name, Double defaultValue)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Double`
  `fromString(String valueString)`
  Parses the given string into a value of type T
  `JComponent`
  `getComponent()`
  Returns a JComponent for entering or editing a value of this type.
  `protected void`
  `updateComponentFromValue()`
  Updates the JComponent returned from `AbstractValue.getComponent()` to represent the current value of this object.
  `protected void`
  `updateValueFromComponent()`
  Causes the stored value for this object to be updated based on the state of the JComponent returned from `AbstractValue.getComponent()`

  ### Methods inherited from class docking.widgets.values.AbstractValue

  `copyValue, getAsText, getName, getValue, hasValue, reset, setAsText, setValue, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DoubleValue

    public DoubleValue(String name)

  - ### DoubleValue

    public DoubleValue(String name, Double defaultValue)

- ## Method Details

  - ### getComponent

    public JComponent getComponent()
    Description copied from class: `AbstractValue`
    Returns a JComponent for entering or editing a value of this type.
    Specified by:
      `getComponent` in class `AbstractValue<Double>`
    Returns:
      a JComponent for entering or editing a value of this type.

  - ### updateValueFromComponent

    protected void updateValueFromComponent()
    Description copied from class: `AbstractValue`
    Causes the stored value for this object to be updated based on the state of the JComponent returned from `AbstractValue.getComponent()`
    Specified by:
      `updateValueFromComponent` in class `AbstractValue<Double>`

  - ### updateComponentFromValue

    protected void updateComponentFromValue()
    Description copied from class: `AbstractValue`
    Updates the JComponent returned from `AbstractValue.getComponent()` to represent the current value of this object.
    Specified by:
      `updateComponentFromValue` in class `AbstractValue<Double>`

  - ### fromString

    public Double fromString(String valueString)
    Description copied from class: `AbstractValue`
    Parses the given string into a value of type T
    Specified by:
      `fromString` in class `AbstractValue<Double>`
    Parameters:
      `valueString` - the string to parse
    Returns:
      a value of type T